'use strict';

const Errors = require('common-errors');

var _require = require('../constants.js');

const USERS_ALIAS_TO_LOGIN = _require.USERS_ALIAS_TO_LOGIN;


function resolveAlias(alias) {
  return this.redis.hget(USERS_ALIAS_TO_LOGIN, alias).then(username => {
    if (username) {
      throw new Errors.HttpStatusError(409, `"${ alias }" already exists`);
    }

    return username;
  });
}

module.exports = function aliasExists(alias, thunk) {
  if (thunk) {
    return function resolveAliasThunk() {
      return resolveAlias.call(this, alias);
    };
  }

  return resolveAlias.call(this, alias);
};